Subject: On IETF Funding

From: "Daniel Pelstring" <[email-masked]>
Date: Wed, 19 Mar 2003 04:02:17 -0500

Since it has come to pass that the IETF can no longer support itself by its current methods of funding, the question of how it is to be funded in the future has been raised.  In all likelihood many realize the importance of this question, it is also probable that many do not and so, I will share my views on the subject.

            An organization is defined in no small part by the entities which support its existence, both with their time and, monetarily.  No matter what the original intent, whoever provides funding for the IETF will gain some control over us.  Even if the control aspect could be avoided somehow, there will be an association between the IETF and whomever provides its funding.  For the future stability of the IETF, we need to ensure that any association we consider will be a positive one.

            The possibility of corporate sponsorship has been suggested.  If a corporation is willing to provide a meeting site, I see no reason to refuse however, direct funding by a corporation, or a group of corporations would have consequences we do not wish to bear.  The IETF is not an industry consortium, and much of our integrity comes from the fact that we operate outside corporate and governmental structure.  Our mission is to create standards for the Internet in general, not geared towards anybody in particular.  I do not see how we could do this without bias while accepting funding from an entity that does not necessarily share this goal.

            We do, however, need to address this issue.  If the IETF chair thinks we are in financial trouble, we need to do something about it.  While increasing the meeting fees or cutting back on certain things would definitely improve the situation, I am not sure it would work in the long term, as it relies upon a minimum attendance of the meetings, and it is definitely foreseeable that non-meeting expenses could grow at a rate that does not correlate with meeting attendance.  In the interest of generating discussion on non-obvious methods we could use to fund ourselves, I have included a few ideas.  

            One idea is to ask the Regional Internet Registries if they would consider adding a small fee to IP address block leases to help support the IETF.  The work of the IETF is critical to the Internet and, this would be a way to extract funding for our continuing work from those who benefit the most, namely anybody who uses the Internet.  Using this method, the meetings should fund themselves, while a small fee on each address could pay for the other workings of the IETF.  This would have the benefits of both keeping us independent and, ensuring that we continue to have the funding necessary to operate.  If this becomes a reality we would obviously need to take care that our expenses do not get out of hand.

            Another option, which we should consider, is associating with the United Nations.  It could be said that we share many goals with the United Nations and, they are in a unique position to provide many benefits.  They could provide places to hold meetings as well as ensure that visas are granted for those who wish to attend.  Funding would likely not be much of an issue for them, as the IETF is not an expensive organization.  Another benefit of the United Nations is that they could provide a degree of protection and isolation from the workings of government and industry which, while it may not seem important now, is becoming more of an issue as the internet grows in importance and therefore, becomes something which governments and large industries have an increasing desire to control.  We would have to work out an agreement to be sure that we can operate with autonomy, but this should be well within our abilities.  While we may not be ready to do this now, the United Nations is definitely worthy of consideration.  Perhaps joining the United Nations as a Non Government Organization to provide a trial period for us to assess the benefits and limitations of this action is something we should do in the interim.

            There are many other ideas that deserve consideration such as simply asking people for money.  I do not particularly care for this idea however, if all else fails, we should at least see if it would be viable for the IETF.  Another possibility is to charge a membership fee, although I do not know how much more of a burden we wish to place upon members of the IETF who are already donating their time.  Perhaps we could sell hardcopies of RFCs, although I do not know how many people would buy them, especially since a copy can be obtained free of charge online.  The list of possibilities is extremely long.

            There are many ways in which we could generate the funding necessary to the IETF, and I encourage anyone with an idea they think is viable to share it.  I do wish to ask that we consider the implications of any method we choose.  We should be very careful during this process not to choose a method of funding that compromises our autonomy or, which would be seen as such by others.  If we are going to expend significant effort on this problem, we should also try to ensure that the method of funding we choose is stable, as we do not want it to be a recurring theme of the IETF that we are looking for money.

- Daniel Pelstring